<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDateTimeGroupReq StructType
 * @subpackage Structs
 */
class AddDateTimeGroupReq extends APIRequest
{
    /**
     * The dateTimeGroup
     * @var XDateTimeGroup
     */
    public $dateTimeGroup;
    /**
     * Constructor method for AddDateTimeGroupReq
     * @uses AddDateTimeGroupReq::setDateTimeGroup()
     * @param XDateTimeGroup $dateTimeGroup
     */
    public function __construct(XDateTimeGroup $dateTimeGroup = null)
    {
        $this
            ->setDateTimeGroup($dateTimeGroup);
    }
    /**
     * Get dateTimeGroup value
     * @return XDateTimeGroup|null
     */
    public function getDateTimeGroup()
    {
        return $this->dateTimeGroup;
    }
    /**
     * Set dateTimeGroup value
     * @param XDateTimeGroup $dateTimeGroup
     * @return AddDateTimeGroupReq
     */
    public function setDateTimeGroup(XDateTimeGroup $dateTimeGroup = null)
    {
        $this->dateTimeGroup = $dateTimeGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDateTimeGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
